Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets
Class ShowBinaryServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.content.manager.servlets.ShowPropertyServlet
                  com.bea.content.manager.servlets.ShowBinaryServlet

All Implemented Interfaces
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated As of 8.1 Service Pack 2, replaced by `ShowPropertyServlet`

    public class ShowBinaryServlet

extends ShowPropertyServlet

Writes a Binary property of a Node to the response OutputStream. The available paramater options are as follows:

- 1) Pass the node Id in as a request parameter. Eg. http://server:port/app/ShowBinary?nodeId=/repo/12345.
- 2) Pass the node path as part of the the request pathInfo. Eg. http://server:port/app/ShowBinary/repo/path/file.ext.
- 3) Pass the node path in as a request parameter. Eg. http://server:port/app/ShowBinary?nodePath=/repo/path/file.ext

  See Also
    Serialized Form

  Field Summary

  Fields inherited from class com.bea.content.manager.servlets.ShowPropertyServlet
  `closeStreams, DEFAULT_MIME_TYPE, TEXT_MIME_TYPE`

  Constructor Summary
  `ShowBinaryServlet()` Deprecated

  Method Summary

  Methods inherited from class com.bea.content.manager.servlets.ShowPropertyServlet
  `doGet, doPost, init, ioReadWrite, nioRead, printNode, showError`

  Methods inherited from class javax.servlet.http.HttpServlet
  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

  Methods inherited from class javax.servlet.GenericServlet
  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### ShowBinaryServlet

      public ShowBinaryServlet()

    Deprecated

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
  Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
  Other names may be trademarks of their respective owners.